Search Column

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/column
API call form
Examples
List of examples
  • Get a column by ID
  • Get all columns from a dataset
  • Get the source name of a column
  • Get the column and its dataset
Description

Get a column by ID.

Install
pkg:maven/com.luzmo/sdk@1.0.0
Example Response
200
400
500
{
  "count": 1,
  "rows": [
    {
      "id": "cfc29a4a-c144-4ba3-9a0f-26a1da6a6994",
      "name": {
        "en": "Purchase value"
      },
      "description": null,
      "order": 3,
      "source_name": "purchase_value",
      "type": "numeric",
      "subtype": null,
      "format": ".0f",
      "informat": "numeric",
      "previous_datetime_informat": null,
      "color": "#9ecae1",
      "prefix": null,
      "suffix": null,
      "isLabel": false,
      "minBound": null,
      "maxBound": null,
      "cardinality": null,
      "lowestLevel": 0,
      "highestLevel": 0,
      "minimum": null,
      "maximum": null,
      "expression": null,
      "derivation": null,
      "version": 0,
      "width": 170,
      "hierarchy_enabled": false,
      "ordering_enabled": false,
      "colors_enabled": true,
      "aggregation_type": "sum",
      "custom_aggregations": null,
      "custom_metadata": null,
      "duration_levels": null,
      "duration_format": "long",
      "created_at": "2024-01-16T15:21:37.925Z",
      "updated_at": "2024-02-06T14:01:50.053Z",
      "securable_id": "807623f5-ac65-4022-bc87-595b412ce397",
      "aggregation_id": null,
      "currency_id": null
    }
  ]
}